export interface XfLimitedVO {
  /**
   * 限次Id,主键
   */
  limitedId: string | number;

  /**
   * 卡类Id
   */
  cardType: number;
  cardTypeName: string;

  /**
   * 每日次数
   */
  dailyCount: number;

  /**
   * 早餐次数
   */
  oneCount: number;

  /**
   * 午餐次数
   */
  twoCount: number;

  /**
   * 晚餐次数
   */
  threeCount: number;

  /**
   * 宵夜次数
   */
  fourCount: number;

  /**
   * 备注
   */
  remark: string;

  /**
   * 启用状态，0-未启用 1-启用
   */
  status: string;
}

export interface XfLimitedForm extends BaseEntity {
  /**
   * 限次Id,主键
   */
  limitedId?: string | number;

  /**
   * 卡类Id
   */
  cardType?: number;

  /**
   * 每日次数
   */
  dailyCount?: number;

  /**
   * 早餐次数
   */
  oneCount?: number;

  /**
   * 午餐次数
   */
  twoCount?: number;

  /**
   * 晚餐次数
   */
  threeCount?: number;

  /**
   * 宵夜次数
   */
  fourCount?: number;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 启用状态，0-未启用 1-启用
   */
  status?: string;
}

export interface XfLimitedQuery extends PageQuery {
  /**
   * 启用状态，0-未启用 1-启用
   */
  status?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}
